Bug 7743 (int-152855)

Summary: libalarm API reference lacks details on time fields
Product: [Documentation] API Documents Reporter: Tapio Nieminen <tapiono>
Component: SDK repositoriesAssignee: Marcell Lengyel <marcell>
Status: VERIFIED FIXED QA Contact: documentation <documentation>
Severity: minor    
Priority: Low CC: andre_klapper, dneary, soumya.3.bijjal
Version: 5.0-final   
Target Milestone: 5.0-update4   
Hardware: All   
OS: Maemo   
URL: http://maemo.org/api_refs/5.0/5.0-final/libalarm/

Description Tapio Nieminen (reporter) 2010-01-07 14:20:58 UTC
Copypaste from https://bugs.maemo.org/show_bug.cgi?id=6313:

Andre Klapper wrote:

>        time(&current_time);
>        alarm_time = localtime(&current_time);
>        alarm_time->tm_sec += 2;
>        event->alarm_tm = *alarm_time;
> 
> The alarm is set 2 secs in to the future, however alarmd will
> round up the triggering time to the next full minute.
> 
> If one really wants to specify triggering time with one second
> accuracy, then the event->alarm_time field can be used:
>        event->alarm_time = time(0) + 2;
> 
> Note: if alarm_time field is used, then the triggering time will
>       not be adjusted when timezone changes.
> 
> But if I'm not wrong these details are missing from the alarm api
> documentation?
>
Comment 1 Jarmo Tikka nokia 2010-01-07 16:00:16 UTC
Maemo SDK project manager is responsible of publishing Maemo API documents
because they are generated form Maemo SDK rootstrap sources. Reassigning this
to Soumya Bijjal.
Comment 2 Soumya nokia 2010-01-07 16:54:28 UTC
I am no longer involved in Fremantle SDK. Moving to Marcell who is now the
project manager.
Comment 3 Marcell Lengyel maemo.org 2010-01-11 20:39:04 UTC
Ok, so where should this triggering accuracy be documented? In the API
reference (generated from the code:
http://maemo.org/api_refs/5.0/5.0-final/libalarm/ ) or the Developer Guide
(http://wiki.maemo.org/Documentation/Maemo_5_Developer_Guide/Using_Generic_Platform_Components/Alarm_Framework)
or both?
Comment 4 Tapio Nieminen (reporter) 2010-01-12 11:47:46 UTC
(In reply to comment #3)
> Ok, so where should this triggering accuracy be documented? In the API
> reference (generated from the code:
> http://maemo.org/api_refs/5.0/5.0-final/libalarm/ ) or the Developer Guide
> (http://wiki.maemo.org/Documentation/Maemo_5_Developer_Guide/Using_Generic_Platform_Components/Alarm_Framework)
> or both?
> 
Both, but I already added a notebox to the Developer Guide (feel free to change
it), so only API reference is missing the info.
Comment 5 Marcell Lengyel maemo.org 2010-01-12 13:35:25 UTC
I have reported this internall to the team responsible for the alarmd
component.
Comment 6 Marcell Lengyel maemo.org 2010-02-24 09:50:00 UTC
(In reply to comment #5)
> I have reported this internall to the team responsible for the alarmd
> component.
> 

Fixed internally, will be released in PR1.2
Comment 7 Andre Klapper maemo.org 2010-03-01 18:31:17 UTC
Fixed internally. Fix will be included for the next public update.
Comment 8 Andre Klapper maemo.org 2010-05-17 16:46:05 UTC
[Rearrangement of Documentation bug reports.]
Mass-moving old closed Developer Platform > Documentation tickets.
You can filter bugmail by searching for this comment.
Comment 9 Tapio Nieminen (reporter) 2010-05-25 17:11:56 UTC
ok